@echo off
cls

echo   =======================================
echo   == SystemShock 2 Green2Red-Blutpatch ==
echo   =======================================
echo                    http://www.kubicek.org
echo                         11.10.2004 by Qbi
echo.
echo.
echo   Fragen und Anregungen bitte an: qbi@gmx.de
echo.
echo.


rem ****************************************
rem ** Prfung des SShock2-Verzeichnisses **
rem ****************************************

rem Wurden alle Parameter bergeben?
rem
if '%1'=='' goto ParameterFehler

set ShockDir=%1

rem Ist SShock2 im angegebenen Verzeichnis installiert?
rem
if not exist %ShockDir%\shock2.exe goto FalschesVerzeichnis


rem *****************************************
rem ** Backups der Originaldateien anlegen **
rem *****************************************

echo Erstelle Backups...
echo.
copy %ShockDir%\shock.cfg %ShockDir%\shock.bak >nul
copy %ShockDir%\obj.crf %ShockDir%\obj.bak >nul
copy %ShockDir%\bitmap.crf %ShockDir%\bitmap.bak >nul


rem ************************
rem ** Archive umbenennen **
rem ************************

ren %ShockDir%\obj.crf obj.zip >nul
ren %ShockDir%\bitmap.crf bitmap.zip >nul


rem ***********************
rem ** Texturen ersetzen **
rem ***********************

echo Grne Texturen werden ersetzt...
cd bitmap
..\pacomp -u -p %ShockDir%\bitmap.zip *.* >nul

echo  - Einen Moment noch...
cd ..\obj
..\pacomp -u -p %ShockDir%\obj.zip *.* >nul
cd ..

echo  - Texturen sind ersetzt!
echo.


rem ******************************
rem ** Schockeffekte aktivieren **
rem ******************************

echo Schockeffekte werden aktiviert...
copy shock.cfg %ShockDir% /y >nul

echo.


rem *********************************
rem ** Archive (zurck-)umbenennen ** 
rem *********************************

ren %ShockDir%\obj.zip obj.crf >nul
ren %ShockDir%\bitmap.zip bitmap.crf >nul

goto Ende


rem **********************
rem ** Fehlerbehandlung **
rem **********************


:ParameterFehler
rem Das Laufwerk und das SShock2-Verzeichnis wurden nicht als
rem Parameter bergeben
rem
echo.
echo FEHLER!
echo -------
echo Bitte das SShock2-Verzeichnis angeben:
echo.
echo Z.B.  green2red.bat "D:\Meine Spiele\SShock2"
echo.
echo.
goto Ende


:FalschesVerzeichnis
rem Das bergebene SShock2-Verzeichnis existiert nicht
rem
echo.
echo FEHLER!
echo -------
echo System Shock 2 ist nicht in %ShockDir% installiert!
echo.
echo.
goto Ende


:Ende

rem ***************
rem ** Aufrumen **
rem ***************
rem

if exist %ShockDir%\obj.zip ren %ShockDir%\obj.zip obj.crf >nul
if exist %ShockDir%\bitmap.zip ren %ShockDir%\bitmap.zip bitmap.crf >nul

echo FERTIG!
echo -------
echo.
echo.

pause

